Memory Stores
Get an update result
Retrieves the status and result of a memory store update operation.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the memory store.
update_id
string
obligatoire
The ID of the memory update operation.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
Corps
update_id
string
obligatoire
The unique ID of this update request. Use this value as previous_update_id in subsequent requests to perform incremental updates.
status
string | enum
obligatoire
Status of a memory store update operation.
enum
superseded_by
string
The update_id the operation was superseded by when status is "superseded".
result
MemoryStoreUpdateCompletedResult
Memory update result.
memory_operations
MemoryOperation[]
obligatoire
A list of individual memory operations that were performed during the update.
usage
MemoryStoreOperationUsage
obligatoire
Usage statistics of a memory store operation.
embedding_tokens
integer
obligatoire
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
obligatoire
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
obligatoire
error
OpenAI.Error
misalignment
OpenAI.MisalignmentErrorDetailsResource
error_type
string | enum
enum
detailed_explanation
string
The public explanation for this block.
steer
OpenAI._MisalignmentSteer
message
string
obligatoire
The public continuation instruction.
Requête
GET /memory_stores/{name}/updates/{update_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json